Loading...
Searching...
No Matches
XrdOssHandle Struct Reference
Collaboration diagram for XrdOssHandle:

## Public Member Functions

| XrdOssHandle (int type, XrdOucStream *newsp=0)
| ~XrdOssHandle ()

## Public Attributes

int | hflag
XrdOucStream * | sp

## Detailed Description

Definition at line 82 of file XrdOssMSS.cc.

## Constructor & Destructor Documentation

## XrdOssHandle()

XrdOssHandle::XrdOssHandle | ( | int | type,
|  | XrdOucStream * | newsp = 0 )

inline

Definition at line 86 of file XrdOssMSS.cc.

{hflag = type; sp = newsp;}
XrdOssHandle::sp
XrdOucStream * sp
Definition XrdOssMSS.cc:84
XrdOssHandle::hflag
int hflag
Definition XrdOssMSS.cc:83

References hflag, and sp.

## ~XrdOssHandle()

XrdOssHandle::~XrdOssHandle | ( |  | ) |

inline

Definition at line 87 of file XrdOssMSS.cc.

{if (sp) delete sp; hflag = 0;}

References hflag, and sp.

## Member Data Documentation

## hflag

int XrdOssHandle::hflag

Definition at line 83 of file XrdOssMSS.cc.

Referenced by XrdOssHandle(), ~XrdOssHandle(), XrdOssSys::MSS_Closedir(), and XrdOssSys::MSS_Readdir().

## sp

XrdOucStream* XrdOssHandle::sp

Definition at line 84 of file XrdOssMSS.cc.

Referenced by XrdOssHandle(), ~XrdOssHandle(), and XrdOssSys::MSS_Readdir().

The documentation for this struct was generated from the following file:

- XrdOssMSS.cc